package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaCtrl;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaTramoCtrl;
import com.rjconsultores.ventaboletos.entidad.Parada;

public interface ConexionRutaTramoCtrlDAO extends GenericDAO<ConexionRutaTramoCtrl, Long> {

	boolean validarConexioneRutasExistentes(Integer rutaOrigenId, Integer rutaDestinoId, Integer paradaOrigenId, Integer paradaDestinoId, Integer origemTrechoId, Integer destinoTrechoId, Integer destinoTrechoId2);

	List<ConexionRutaTramoCtrl> buscarPorConexionRutaCtrl(ConexionRutaCtrl conexionRutaCtrl, Integer rutaId);
	
	public List<Parada> buscarTodasLocalidadesOrigem(Integer conexionRutaConfId);

	public List<Parada> buscarTodasLocalidadesDestino(Integer conexionRutaConfId);

	public List<Parada> buscarTodasLocalidadesDestinoC(Integer conexionRutaConfId);
	
	public List<Parada> buscarLocalidadesPorConexionRutaConfAndEixo(Integer conexionRutaConfId, char tipo);
	
}
